Subject: Re: bug#52375: webkitgtk page crashes on core-updates-frozen

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 08 Dec 2021 12:22:30 -0500

Hello!

Jack Hill <[email-masked]> writes:

> Hi Guix,
>
> With core-updates-frozen commit
> e080e35dc1f012fa57a8e77759f933abdc3b8fc2 certain pages cause tabs to
> crash in webkitgtk browsers (I've tested with epiphany, vimb, and
> luakit). The problem does not occur on current master,
> 0a9c946df9686f1610f7684492baabf0719c0164.
>
> An example of a page the works:
>
> https://en.wiktionary.org/wiki/edification
>
> An example of a page that doesn't work:
>
> https://en.wiktionary.org/wiki/edify
>
> I was not able to notice a difference in messages when running the
> browsers from a terminal between master and core-updates-frozen.
>
> On both branches I do see "WebKit wasn't able to find a WebVTT
> encoder. Not continuing without platform support for subtitles" when
> the tab crashes, so I wonder if there is a gstreamer compatibility
> problem (perhaps to do with libsoup versions). However, this could be
> a red herring.

Would you be able to run it in GDB to gather a backtrace?  That may
provide clues.

Thanks!

Maxim